WarWatcher (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.ha.deploy

## Class WarWatcher

- java.lang.Object
- - org.apache.catalina.ha.deploy.WarWatcher

-     public class WarWatcher
      extends Object

  The WarWatcher watches the deployDir for changes made to the directory (adding new WAR files->deploy or remove WAR files->undeploy) and notifies a listener of the changes made.
  Version:
    1.1
  Author:
    Peter Rossbach

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `WarWatcher.WarFilter` File name filter for war files
    `protected static class` | `WarWatcher.WarInfo` File information on existing WAR files

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,WarWatcher.WarInfo>` | `currentStatus` Currently deployed files
    `protected FileChangeListener` | `listener` Parent to be notified of changes
    `protected File` | `watchDir` Directory to watch for war files

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WarWatcher(FileChangeListener listener, File watchDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addWarInfo(File warfile)` add cluster war to the watcher state
    `void` | `check()` check for modification and send notification to listener
    `void` | `clear()` clear watcher state

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### watchDir

          protected final File watchDir

      Directory to watch for war files

    - #### listener

          protected final FileChangeListener listener

      Parent to be notified of changes

    - #### currentStatus

          protected final Map<String,WarWatcher.WarInfo> currentStatus

      Currently deployed files

  - ### Constructor Detail

    - #### WarWatcher

          public WarWatcher(FileChangeListener listener,
                            File watchDir)

  - ### Method Detail

    - #### check

          public void check()

      check for modification and send notification to listener

    - #### addWarInfo

          protected void addWarInfo(File warfile)

      add cluster war to the watcher state
      Parameters:
        `warfile` - The WAR to add

    - #### clear

          public void clear()

      clear watcher state

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.